Summary: Automount utils - includes the NFS automount daemon
Name: am-utils
Version: 6.0
Release: 1.2.2
Copyright: BSD
Group: Networking/Daemons
Source: ftp://shekel.mcl.cs.columbia.edu/pub/am-utils/am-utils-6.0.tar.gz
Source1: am-utils.init
Source2: am-utils.conf
Source3: am-utils.sysconf
Patch0: am-utils-6.0-alpha.patch
Prereq: /sbin/install-info
Requires: portmap
BuildRoot: /var/tmp/am-utils-root
Prereq: /sbin/chkconfig
Obsoletes: amd

%description
Am-utils is the"next generation" of the popular BSD Automounter, Amd. 
Am-utils includes many additional updates, ports, programs, features, bug
fixes, and more.

Amd is the Berkeley automount daemon. It has the ability to
automatically mount filesystems of all types, including NFS filesystems,
CD-ROM's, and local drives, and unmount them when they are not being used
any more.

The default setup allows you to 'cd /net/[hostname]' and get a list of
directories exported from that host.

%prep
%setup -q
%ifnarch i386
%patch0 -p1 -b .noauto
%endif

%build
#cd aux ; autoconf ; mv -f configure .. ; cd ..
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --sysconfdir=/etc --enable-libs=-lnsl
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=`pwd`/etc
mkdir -p $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -m 600 $RPM_SOURCE_DIR/am-utils.conf $RPM_BUILD_ROOT/etc/amd.conf
install -m 755 $RPM_SOURCE_DIR/am-utils.sysconf $RPM_BUILD_ROOT/etc/sysconfig/amd
install -m 755 $RPM_SOURCE_DIR/am-utils.init $RPM_BUILD_ROOT/etc/rc.d/init.d/amd
strip $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT/usr/bin/* || :
gzip -q9f $RPM_BUILD_ROOT/usr/info/*info*
mkdir -p $RPM_BUILD_ROOT/.automount
# get rid of some lame scripts
file $RPM_BUILD_ROOT/usr/sbin/* | \
	grep -v ELF | grep -v am-eject | \
	cut -f 1 -d':' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add amd
/sbin/install-info /usr/info/am-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/am-utils.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /sbin/chkconfig --del amd
fi

%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* TODO
%dir /.automount
/usr/bin/*
/usr/sbin/*
/usr/man/man[158]/*
%config /etc/amd.conf
%config /etc/sysconfig/amd
%config /etc/rc.d/init.d/amd
/usr/info/*info*.gz
/usr/lib/libamu*
   
%changelog
* Sat Mar 27 1999 Sean P. Kane <kane@ca.metsci.com>
- Temporarily removed autoconf from build
- Removed Linux Patch
- Recompiled for 2.2.x kernels
- Updated source to final 6.0 release

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip all binaries

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add missing ':' to default 'opts:=nosuid,nodev'
- install info pages

* Mon Jul 13 1998 Cristian Gafton <gafton@redhat.com>
- added the NIS support that the broken configure script failed to detect

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- disabled autofs support on alpha
- run ldconfig in postinstall

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- new package to replace the old and unmaintained amd
